std::_Tuple_impl< _Idx > Struct Template Reference
Utilities

## Public Member Functions

template<typename _Alloc >
| _Tuple_impl (allocator_arg_t, const _Alloc &)
template<typename _Alloc >
| _Tuple_impl (allocator_arg_t, const _Alloc &, const _Tuple_impl &)
template<typename _Alloc >
| _Tuple_impl (allocator_arg_t, const _Alloc &, _Tuple_impl &&)

## Protected Member Functions

void | _M_swap (_Tuple_impl &) noexcept

## Friends

template<std::size_t , typename... >
class | _Tuple_impl

## Detailed Description

### template<std::size_t _Idx>
struct std::_Tuple_impl< _Idx >

Zero-element tuple implementation. This is the basis case for the inheritance recursion.

Definition at line 191 of file tuple.

The documentation for this struct was generated from the following file:

- tuple